## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate gitui

Name:           rust-gitui
Version:        0.23.0
Release:        %autorelease
Summary:        Blazing fast terminal-ui for git

License:        MIT
URL:            https://crates.io/crates/gitui
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop feature for building against vendored OpenSSL sources
Patch:          gitui-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Blazing fast terminal-ui for git.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# CC0-1.0
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:         Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND CC0-1.0 AND GPL-2.0-only WITH GCC-exception-2.0 AND ISC AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT) 
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.md
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc FAQ.md
%doc KEY_CONFIG.md
%doc README.md
%doc THEMES.md
%{_bindir}/gitui

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Jul 30 2023 Fabio Valentini <decathorpe@gmail.com> 0.23.0-1
- Update to version 0.23.0; Fixes RHBZ#21192439

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.20.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> 0.20.1-6
- Rebuild for CVE-2022-24765 and CVE-2022-29187 in libgit2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.20.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 09 2022 Pete Walter <pwalter@fedoraproject.org> 0.20.1-4
- Rebuild for libgit2 1.4

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 21 2022 Fabio Valentini <decathorpe@gmail.com> 0.20.1-2
- Bump bugreport from 0.4 to 0.5

* Sun Feb 20 2022 Igor Raits <igor.raits@gmail.com> 0.20.1-1
- Update to 0.20.1

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.16.2-7
- Rebuild with package notes

* Sun Feb 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.16.2-6
- Bump crossterm from 0.19 to 0.22, bump tui from 0.15 to 0.17

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.16.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.16.2-4
- Rebuild for libgit2 1.3.x

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> 0.16.2-3
- Rebuilt with OpenSSL 3.0.0

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> 0.16.2-2
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Sat Jul 24 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.16.2-1
- Update to 0.16.2

* Tue Jul 06 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.13.0-2
- Bump simplelog to 0.10

* Sun Mar 21 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.13.0-1
- Update to 0.13.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.11.0-3
- Update to 0.11.0

* Tue Dec 29 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.11.0-2
- Rebuild against libgit2 1.1.x

* Mon Dec 28 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.11.0-1
- Update to 0.11.0

* Sat Aug 29 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.10.0-1
- Update to 0.10.0

* Sat Aug 29 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.9.1-1
- Update to 0.9.1

* Tue Aug 18 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.9.0-1
- Update to 0.9.0

* Sun Aug 16 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.8.1-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> 0.8.1-1
- Update to 0.8.1

* Mon Jul 06 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.8.0-1
- Update to 0.8.0

* Mon Jun 15 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.7.0-1
- Update to 0.7.0

* Thu Jun 11 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.6.0-2
- Update license list

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> 0.6.0-1
- Update to 0.6.0

* Mon Jun 01 2020 Josh Stone <jistone@redhat.com> 0.5.0-1
- Update to 0.5.0

* Thu May 28 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.4.0-1
- Initial import
